### Method

# Fwupd Client get_blocked_firmware

#### Declaration [src]

    gchar**
    fwupd_client_get_blocked_firmware (
      FwupdClient* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets the list of blocked firmware.

Available since: | 1.4.6

#### Parameters

`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `utf8`
| Checksums, or `NULL` for error.
| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.